CALIBRE-DEBUG(1)

NAME
calibre-debug - calibre-debug

calibre-debug [options]

Various command line interfaces useful for debugging calibre. With no options, this command starts an embedded Python interpreter. You can also run the main calibre GUI, the calibre viewer and the calibre editor in debug mode.

It also contains interfaces to various bits of calibre that do not have dedicated command line tools, such as font subsetting, the e-book diff tool and so on.

You can also use calibre-debug to run standalone scripts. To do that use it like this: calibre-debug myscript.py -- --option1 --option2 file1 file2 ...

Everything after the -- is passed to the script.

Whenever you pass arguments to calibre-debug that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

MOŽNOSTI

--add-simple-plugin
    Vložiť jednoduchý doplnok (napr. doplnok obsahujúci len .py súbor) zadaním cesty ku súboru py, ktorý obsahuje kód doplnku.

--command, -c
    Run Python code.

--debug-device-driver, -d
    Analyzovať chyby pri identifikácii zariadenia

--default-programs
    (Od)registrovať Calibre vo východzích programoch Windows. --default-programs = (register|unregister)

--diff
    Spustiť rozdielový nástroj Calibre. Napríklad: calibre-debug --diff súbor1 súbor2

--edit-book, -t
    Launch the calibre "Edit book" tool in debug mode.

--exec-file, -e
    Run the Python code in file.

--explode-book, -x
    Explode the book into the specified directory. Usage: -x file.epub output_dir Exports the book as a collection of HTML files and metadata, which you can edit using standard HTML editing tools. Works with EPUB, AZW3, HTMLZ and DOCX files.

--export-all-calibre-data
    Export all calibre data (books/settings/plugins). Normally, you will be asked for the export dir and the libraries to export. You can also specify them as command line arguments to skip the questions. Use absolute paths for the export directory and libraries. The special keyword "all" can be used to export all libraries.

--gui, -g
    Spustiť grafické rozhranie GUI so zapnutou diagnostikou. Výstup diagnostiky je vytlačený do stdout a stderr.

--gui-debug
    Spustiť diagnostiku grafického rozhrania v terminále a zaznamenať výsledky na určené miesto. Len pre interné účely použite možnosť -g, na diagnostiku grafického rozhrania.

--help, -h
    zobraziť túto nápovedu a skončiť

--implode-book, -i
    Implode a previously exploded book. Usage: -i output_dir file.epub Imports the book from the files in output_dir which must have been created by a previous call to --explode-book. Be sure to specify the same file type as was used when exploding.

--import-calibre-data
    Importovať predtým exportované dáta Calibre

--inspect-mobi, -m
    Skontrolovať súbor (súbory) MOBI zo zadanej cesty (zadaných ciest)

--paths
    Výstup ciest potrebných pre nastavenie prostredia Calibre

--reinitialize-db
    Znovu inicializovať SQLite databázu Calibre zo zadanej cesty. Užitočné pri obnovení po poškodení databázy.

--run-plugin, -r
    Spustiť doplnok, ktorý poskytuje rozhranie príkazového riadku. Napríklad: calibre-debug -r "Pridať knihy" -- súbor1 --option1 Všetko po -- bude dané doplnku ako parametre.

--shutdown-running-calibre, -s
    Spôsobí, že akákoľvek bežiaca inštancia bude ukončená. Uvedomte si, že ak sa práve spracúvajú úlohy, budú potichu prerušené, takže používajte opatrne.

--subset-font, -f
    Redukovať zadané písmo. Použite -- po tejto voľbe pre predanie možnosti programu pre čiastočné vkladanie písma.

--test-build
    Testovať binárne moduly v zostavovaní

--version
    zobraziť verziu programu a skončiť

--viewer, -w
    Run the E-book viewer in debug mode

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal